import { HighlightPublicInterface } from '../../client';
import type { ErrorMessage, Source } from '../../client/types/shared-types';
import { IntegrationClient } from '../index';
import { LDClientMin } from './types/LDClient';
import { RecordMetric } from '../../client/types/types';
export declare function setupLaunchDarklyIntegration(hClient: HighlightPublicInterface, ldClient: LDClientMin): void;
export declare class LaunchDarklyIntegration implements IntegrationClient {
    client: LDClientMin;
    constructor(client: LDClientMin);
    init(sessionSecureID: string): void;
    recordMetric(sessionSecureID: string, metric: RecordMetric): void;
    identify(_sessionSecureID: string, _user_identifier: string, _user_object?: {}, _source?: Source): void;
    error(sessionSecureID: string, error: ErrorMessage): void;
    track(sessionSecureID: string, metadata: object): void;
}
